Subject: bug#769: Incompatible with debian libgudev-1.0-0 version 238-2

From: Martin Steigerwald <[email-masked]>
Date: Sat, 18 Nov 2023 11:46:06 +0100

Hi!

Any update on this one?

As far as I understand

https://github.com/eudev-project/eudev/issues/249#issuecomment-1742307511

There is some kind of stickytags patch that makes makes never libgudev 
compile with eudev.

After that it seems the issue has been closed.

There is a bug report about that new current / sticky tags feature with a 
patch that closes above bug report:

-----------------------------------------------------------------------

Add missing API from 247 #253 

udev_device_has_current_tag
udev_device_get_current_tags_list_entry

both are implemented to return all tags, until the current tag concept 
comes to eudev.

Closes #249

https://github.com/eudev-project/eudev/pull/253

-----------------------------------------------------------------------

So there appears to be at least some working work-around.

I also ask cause I do get crashes currently when I try to access a mounted 
LUKS encrypted BTRFS filesystem on any external disk with Dolphin. And I 
wonder whether they are related. However while I see

#4  0x00007fe13808ab94 in Solid::StorageAccess::isEncrypted() const () 
from /usr/lib/x86_64-linux-gnu/libKF5Solid.so.5

I see no call to libgudev, so it might be a different issue.

Best,
-- 
Martin